# Uses of Interface
org.eclipse.jface.text.codemining.ICodeMiningProvider

Packages that use ICodeMiningProvider
Package
Description
org.eclipse.jface.text.codemining
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of ICodeMiningProvider in org.eclipse.jface.text.codemining

Classes in org.eclipse.jface.text.codemining that implement ICodeMiningProvider
Modifier and Type
Class
Description
`class`
`AbstractCodeMiningProvider`
A codemining provider that can provide adapters through a context that can be set by the creator of this codemining provider.
Methods in org.eclipse.jface.text.codemining that return ICodeMiningProvider
Modifier and Type
Method
Description
`ICodeMiningProvider`
AbstractCodeMining.`getProvider()`
`ICodeMiningProvider`
ICodeMining.`getProvider()`
Returns the owner provider which has created this mining.
Constructors in org.eclipse.jface.text.codemining with parameters of type ICodeMiningProvider
Modifier
Constructor
Description
`protected`
`AbstractCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
`protected`
`LineEndCodeMining(IDocument document, int line, ICodeMiningProvider provider)`
``
`LineHeaderCodeMining(int beforeLineNumber, IDocument document, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining before the given line number.
``
`LineHeaderCodeMining(int beforeLineNumber, IDocument document, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining before the given line number.
``
`LineHeaderCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining before the given line at the supplied position.

## Uses of ICodeMiningProvider in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return ICodeMiningProvider
Modifier and Type
Method
Description
`ICodeMiningProvider[]`
SourceViewerConfiguration.`getCodeMiningProviders(ISourceViewer sourceViewer)`
Returns the code mining providers which be used to draw code minings in the given source viewer.
Methods in org.eclipse.jface.text.source with parameters of type ICodeMiningProvider
Modifier and Type
Method
Description
`void`
ISourceViewerExtension5.`setCodeMiningProviders(ICodeMiningProvider[] codeMiningProviders)`
Register the code mining providers.
`void`
SourceViewer.`setCodeMiningProviders(ICodeMiningProvider[] codeMiningProviders)`